| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
CmdDrive::GetMenuItemCmd Class Reference
uiCmdDriver

`#include <menubutcommands.h>`

Inheritance diagram for CmdDrive::GetMenuItemCmd:
[legend]

## Public Member Functions
| GetMenuItemCmd (CmdDriver &cmddrv)
bool | act (const char *parstr) override
bool | isLocalEnvCommand () const override
const char * | name () const override
Public Member Functions inherited from CmdDrive::UiObjQuestionCmd
| UiObjQuestionCmd (CmdDriver &cmddrv)
bool | isLocalEnvCommand () const override
bool | isOpenQDlgCommand () const override
bool | isVisualCommand () const override
const char * | name () const override
Public Member Functions inherited from CmdDrive::Command
| Command (CmdDriver &cmddrv)
virtual | ~Command ()
virtual bool | isUiObjChangeCommand () const

## Static Public Member Functions
static Command * | createInstance (CmdDriver &cmddrv)
static void | initClass ()
static const char * | keyWord ()
Static Public Member Functions inherited from CmdDrive::UiObjQuestionCmd
static const char * | keyWord ()
Static Public Member Functions inherited from CmdDrive::Command
static BufferString | factoryKey (const char *name)
static void | initStandardCommands ()
static bool | isQuestionName (const char *, CmdDriver &)

## Additional Inherited Members
Public Types inherited from CmdDrive::Command
enum | FormTag { NoForm =0 , Text , Number , Color , Value , Angle , Minimum , Maximum , Step , Percentage , FilePath }
Protected Member Functions inherited from CmdDrive::Command
uiMainWin * | applWin ()
int | curActionIdx () const
const uiMainWin * | curWin () const
bool | didInterceptSucceed (const char *objnm)
bool | doLocalAction (uiObject *localenv, const char *actstr)
void | end ()
ExprInterpreter & | exprInterpreter ()
void | finishActivate ()
bool | goingToChangeUiObj () const
bool | greyOutsSkipped () const
IdentifierManager & | identifierMan ()
bool | insertProcedure (int defidx)
void | interact (const InteractSpec *)
const MenuInfo & | interceptedMenuInfo () const
bool | isCaseSensitive () const
void | jump (int extralines=0)
int | lastActionIdxMove () const
const uiObject * | localSearchEnv () const
CmdDriver::OnErrorTag | onError () const
bool | openQDlg () const
const char * | outputDir () const
bool | prepareActivate (Activator *)
void | prepareIntercept (const FileMultiString &menupath, int onoff, CmdDriver::InterceptMode=CmdDriver::Click)
void | setCaseSensitive (bool yn)
void | setOnError (CmdDriver::OnErrorTag)
void | setRecoveryStep (CmdDriver::RecoveryTag)
void | setSleep (float time, bool regular)
void | setWait (float time, bool regular)
void | skipGreyOuts (bool yn=true)
bool | switchCurWin (uiMainWin *)
bool | tryAction (const char *identname, const char *actstr)
bool | verifyWinAssert (const char *newwinstr=0)
bool | verifyWinState (const char *newwinstr=0, WinStateType newwinstate=NoState)
void | waitForClearance ()
WildcardManager & | wildcardMan ()
Static Protected Member Functions inherited from CmdDrive::Command
static BufferString | createFactoryKey (const char *keyword)
Protected Attributes inherited from CmdDrive::Command
CmdDriver & | drv_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ GetMenuItemCmd()

CmdDrive::GetMenuItemCmd::GetMenuItemCmd | ( | CmdDriver & | cmddrv | ) |
| inline

## Member Function Documentation

## ◆ act()

bool CmdDrive::GetMenuItemCmd::act | ( | const char * | parstr | ) |
| override virtual

Implements CmdDrive::Command.

## ◆ createInstance()

static Command * CmdDrive::GetMenuItemCmd::createInstance | ( | CmdDriver & | cmddrv | ) |
| inline static

## ◆ initClass()

static void CmdDrive::GetMenuItemCmd::initClass | ( |  | ) |
| inline static

## ◆ isLocalEnvCommand()

bool CmdDrive::GetMenuItemCmd::isLocalEnvCommand | ( |  | ) | const
| inline override virtual

Reimplemented from CmdDrive::Command.

## ◆ keyWord()

static const char * CmdDrive::GetMenuItemCmd::keyWord | ( |  | ) |
| inline static

## ◆ name()

const char * CmdDrive::GetMenuItemCmd::name | ( |  | ) | const
| inline override virtual

Implements CmdDrive::Command.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025